Bug 167442 - Search text field background not consistent with found searches
Summary: Search text field background not consistent with found searches
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: history (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2008-07-25 20:02 UTC by Andrew Belitsky
Modified: 2012-08-21 14:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments
Screenshot for part II (42.14 KB, image/png)
2008-07-25 20:03 UTC, Andrew Belitsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Belitsky 2008-07-25 20:02:18 UTC
Version:           2.1 (using 4.1.60 (KDE 4.1.60 (KDE 4.2 >= 20080709)), Eth-OS v1.0.0)
Compiler:          gcc
OS:                Linux (i686) release 2.6.25-ARCH

I. If I enter query in search field and result is not found the field is highlighted by red color. If after that I choose clearing the field it is anyway highlighted with red.
II.
 1. Start console;
 2. Open search field and type some text (search field will be hightlited with red);
 3. Input in terminal the same text that has been typed in search field; after that text in terminal will be highlited with red (as founded text) but search field will be still highlited with red (like text not found)
Comment 1 Andrew Belitsky 2008-07-25 20:03:07 UTC
Created attachment 26410 [details]
Screenshot for part II
Comment 2 Dario Andres 2008-07-25 21:47:29 UTC
Version 2.1 KDE 4.1.00 (KDE 4.0.99 (4.1 RC1+)) (KDEmod) in ArchLinux:
I can reproduce this bug.
Comment 3 Dominik Tritscher 2008-07-28 16:24:22 UTC
I can confirm that behaviour with konsole 2.1, kde 4.1rc1 from kubuntu packages
Comment 4 Kurt Hindenburg 2008-08-11 03:51:03 UTC
SVN commit 844944 by hindenburg:

Fix resetting color lineedit background when clearing the text.

I'll look at part II of this bug in a bit.

CCBUG: 167442


 M  +6 -0      IncrementalSearchBar.cpp  
 M  +1 -0      IncrementalSearchBar.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=844944
Comment 5 Dario Andres 2008-12-26 14:28:32 UTC
I can still reproduce this bug using:

Qt: 4.4.3
KDE: 4.1.86 (KDE 4.1.86 (KDE 4.2 >= 20081221))
kdelibs svn rev. 901624 / kdebase svn rev. 901624
on ArchLinux x86_64 - Kernel 2.6.27.10
Comment 6 Francesco Cecconi 2012-07-29 20:31:01 UTC
Git commit 639a4248ef09b8baa7b732f8bd14eb447ed81062 by Francesco Cecconi.
Committed on 29/07/2012 at 22:26.
Pushed by cecconi into branch 'master'.

Use 'KColorScheme::PositiveBackground' for a positive search result

Set '_searchEdit' field background to 'KColorScheme::PositiveBackground'
when a search has a positive result.
REVIEW: 105777
FIXED-IN: 4.10.0

M  +8    -1    src/IncrementalSearchBar.cpp
M  +3    -1    src/IncrementalSearchBar.h
M  +4    -0    src/SessionController.cpp

http://commits.kde.org/konsole/639a4248ef09b8baa7b732f8bd14eb447ed81062
Comment 7 Kurt Hindenburg 2012-08-21 14:25:35 UTC
Git commit b1f454bdb5808c526dbccbf99daa90dbe202c330 by Kurt Hindenburg, on behalf of Francesco Cecconi.
Committed on 29/07/2012 at 22:26.
Pushed by hindenburg into branch 'KDE/4.9'.

Use 'KColorScheme::PositiveBackground' for a positive search result

Set '_searchEdit' field background to 'KColorScheme::PositiveBackground'
when a search has a positive result.
REVIEW: 105777
FIXED-IN: 4.10.0
(cherry picked from commit 639a4248ef09b8baa7b732f8bd14eb447ed81062)

M  +8    -1    src/IncrementalSearchBar.cpp
M  +3    -1    src/IncrementalSearchBar.h
M  +4    -0    src/SessionController.cpp

http://commits.kde.org/konsole/b1f454bdb5808c526dbccbf99daa90dbe202c330